<div>
  <p *ngFor="let odrediste of discord_odredista">
    {{odrediste.discord_username}}#{{odrediste.discord_discriminator}} <nb-icon style="cursor: pointer" (click)="deleteOdrediste(odrediste.id)" icon="trash-2-outline"></nb-icon>
  </p>
</div>

<form *ngIf="showInput" [formGroup]="discordForm" (ngSubmit)="discordForm.valid && onSubmit(discordForm.value)">

  <div class="form−group">
    <input nbInput
      type="text"
      name="discord_username"
      id="discord_username"
      class="form−control"
      formControlName="discord_username"
      placeholder="Discord korisničko ime"
    />
    <span>#</span>
    <input nbInput
           type="text"
           name="discord_discriminator"
           id="discord_discriminator"
           class="form−control"
           formControlName="discord_discriminator"
           placeholder="četvorocifreni diskriminator"
    />
  </div>
  <div>
    <ng-container *ngIf="discord_username.invalid && discord_username.touched ">
      <p class="error-message" *ngIf="discord_username.errors?.required">
        Korisničko ime je obavezno!
      </p>
      <p class="error-message" *ngIf="(discord_username.errors?.minlength || discord_username.errors?.maxlength)
                                      && !discord_username.errors?.required">
        Korisničko ima mora biti bar 2, a najviše 32 karaktera dugo
      </p>
    </ng-container>
    <ng-container *ngIf="discord_discriminator.invalid && discord_discriminator.touched ">
      <p class="error-message" *ngIf="discord_discriminator.errors?.required">
        Četvorocifreni diskriminator je obavezan!
      </p>
      <p class="error-message" *ngIf="discord_discriminator.errors?.pattern
                                      && !discord_discriminator.errors?.required">
        Četvorocifreni diskriminator mora biti u formatu "BBBB"
      </p>
    </ng-container>
  </div>

  <button nbButton>Submit</button>
</form>

